org.wso2.carbon.webapp.mgt

## Class SessionsWrapper

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.SessionsWrapper

- All Implemented Interfaces:
    org.wso2.carbon.utils.Pageable

      public class SessionsWrapper
      extends Object
      implements org.wso2.carbon.utils.Pageable

  Wraps a collection of Webapp sessions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionsWrapper()`
    `SessionsWrapper(List<SessionMetadata> sessions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfActiveSessions()`
    `int` | `getNumberOfPages()`
    `SessionMetadata[]` | `getSessions()`
    `String` | `getWebappFileName()`
    `<T> void` | `set(List<T> items)`
    `void` | `setNumberOfActiveSessions(int numberOfActiveSessions)`
    `void` | `setNumberOfPages(int numberOfPages)`
    `void` | `setWebappFileName(String webappFileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionsWrapper

          public SessionsWrapper(List<SessionMetadata> sessions)

    - #### SessionsWrapper

          public SessionsWrapper()

  - ### Method Detail

    - #### getWebappFileName

          public String getWebappFileName()

    - #### setWebappFileName

          public void setWebappFileName(String webappFileName)

    - #### getNumberOfActiveSessions

          public int getNumberOfActiveSessions()

    - #### setNumberOfActiveSessions

          public void setNumberOfActiveSessions(int numberOfActiveSessions)

    - #### getNumberOfPages

          public int getNumberOfPages()

      Specified by:
        `getNumberOfPages` in interface `org.wso2.carbon.utils.Pageable`

    - #### setNumberOfPages

          public void setNumberOfPages(int numberOfPages)

      Specified by:
        `setNumberOfPages` in interface `org.wso2.carbon.utils.Pageable`

    - #### set

          public <T> void set(List<T> items)

      Specified by:
        `set` in interface `org.wso2.carbon.utils.Pageable`

    - #### getSessions

          public SessionMetadata[] getSessions()

Copyright © 2017 WSO2. All rights reserved.